<template>
    <div class="text">
        <h2>Composition API</h2>
        <h2>{{ greeting.msg }} {{ greeting.user }}</h2>
    </div>
</template>

<script>
import {ref} from 'vue'
    export default {
        setup(){
            const greeting = ref({msg:'Hello',user:'Jimmy'})
            setTimeout(()=>{
                greeting.value.msg = 'Hello there',
                greeting.value.user = 'Jane'
            }, 3000)
            return{
                greeting,
            }
        }
    }
</script>

<style scoped>
.text{
    text-align: center;
}
</style>